Summary: a RFC 1413 ident protocol daemon
Name: authd
Version: 1.2.5
Release: 1
License: GPL
Group: System Environment/Daemons
Obsoletes: pidentd
Source0: %{name}-%{version}.tar.gz
Requires: openssl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: openssl-devel

%description
authd is a small and fast RFC 1413 ident protocol daemon
with both xinetd server and interactive modes that
supports IPv6 and IPv4 as well as the more popular features
of pidentd.

%prep
%setup -q

%build
make prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -m 644 xinetd.conf.auth $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/auth
sed -i -e 's%/usr/local%/usr%' $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/auth
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f authd.lang
%defattr(-,root,root,-)
%doc COPYING README.html
%config(noreplace) %{_sysconfdir}/xinetd.d/auth
%{_sbindir}/in.authd

%changelog
* Sat Jun 26 2004 Adrian Havill <havill@redhat.com> - 1.2.5-1
- clean up src

* Thu Jun 24 2004 Adrian Havill <havill@redhat.com> - 1.2.4-1
- code vet and minor changes re alan@'s comments
- default operating mode to alias all usernames as 'nobody'
  to prevent noobies from getting their mail addr harvested
- clean up README documentation

* Tue Jun 22 2004 Adrian Havill <havill@redhat.com> - 1.2.3-1
- mark xinetd conf file as a noreplace config file
- more robust error checking for proper rfc1413 tokens

* Mon Jun 21 2004 Adrian Havill <havill@redhat.com> - 1.2.1-1
- add Requires and BuildRequires

* Sun Jun 20 2004 Adrian Havill <havill@redhat.com> - 1.2.0-1
- A few tweaks in the cmdline options for orthagonality
- minor bug fix regarding reading from stdin in some multiquery cmdline cases
- add --resolve

* Sat Jun 19 2004 Adrian Havill <havill@redhat.com> - 1.0.0-2
- Obsolete pidentd -- authd and pidentd can't/shouldn't coexist on FC/RHEL
- license tweak to allow openssl under any condition
- no spec url needed; package is not worthy enough.

* Fri Jun 18 2004 Jens Petersen <petersen@redhat.com> - 1.0.0-1
- Initial packaging
